corrupt mailbox/message on the pop3 server results in "The RETR command did not succeed. Error retrieving a message. Mail server plus.pop.mail.yahoo.com responded: problem retrieving message."

REOPENED
Unassigned

Status

MailNews Core
Networking: POP
--
major
REOPENED
8 years ago
11 months ago

People

(Reporter: hhhhbender, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

(Reporter)

Description

8 years ago
User-Agent:       Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; Trident/4.0; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; .NET CLR 3.0.04506.648; MS-RTC EA 2; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729; MS-RTC LM 8)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.9) Gecko/20100317 Thunderbird/3.0.4

has worked for years. now intermittently cannot retrieve mail. today not at all. sends login info, "retrieving message 1 of 25..." then get the error in the Summary field above. 

Reproducible: Always

Steps to Reproduce:
1. try to login and download mail
2.
3.
Actual Results:  
The RETR command did not succeed. Error retrieving a message. Mail server plus.pop.mail.yahoo.com responded: problem retrieving message.

Expected Results:  
retrieve mail
(Reporter)

Comment 1

8 years ago
thunderbird error console reports this: 

plus.pop.mail.yahoo.com : potentially vulnerable to CVE-2009-3555

what does that mean? is it related to not being able to download?

Comment 2

8 years ago
No, your issue is a corrupt mailbox/message on the pop3 server. Short of getting an admin at yahoo to fix the problem on the server, your best bet is probably to run web mail and look for any possible bogus message and deleting it through the web ui.

the CVE error is not related.
(Reporter)

Comment 3

8 years ago
HE'S RIGHT. I found one email I'd opened 5/4, worked fine, from someone I know. For some reason, when I deleted this using Yahoo UI, then Tbird worked ok. 

since I looked hard in both thunderbird, bugzilla, and yahoo knowledge base and didn't see this fix, it should be put somewhere retrievable.

Comment 4

8 years ago
this is a server issue, though we really should try to figure out a way to be tolerant of this error.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → INVALID

Comment 5

8 years ago
I created a doc bug so that this error will get documented on the support site: https://bugzilla.mozilla.org/show_bug.cgi?id=565369

Comment 6

7 years ago
I think documentation would be a short-term solution, but would like to suggest a preferable, more tolerant, behaviour for Thunderbird.

The error "The RETR command did not succeed. Error retrieving a message. Mail server pop.mail.yahoo.com responded: problem retrieving message." appears to occur on the following result from the POP server:

retr 236
-ERR problem retrieving message.

This is not unique to Yahoo, but also appears to happen with BT internet and Rogers.  See http://forums.mozillazine.org/viewtopic.php?f=39&t=622323&start=15 and http://forums.mozillazine.org/viewtopic.php?f=39&t=1078175

As mentioned there, it appears the internal mailbox error at Yahoo is triggered by particular spam header.  (I haven't been able to retrieve the message through Yahoo webmail either and the TOP command gives the same error.  Maybe it is caused by admin deletion of a message within a maildir structure.)  

The problem is that this prevents Thunderbird downloading any later messages.  

I think the ideal behaviour would be to increment a counter when that POP error is received, continue with RETR of the next message.  After the download is finished, give a warning that n messages could not be downloaded, explain that these may be malformed, and give the option to delete them.  Even better would be trying TOP to see if any useful headers such as Subject could be retrieved and presented to the user.

Comment 7

7 years ago
Could the status be changed to reopened, please?  I don't see why it was marked invalid.  (Sorry, new here.)
(In reply to comment #7)
> Could the status be changed to reopened, please?  I don't see why it was marked
> invalid.  (Sorry, new here.)

because nothing we can fix

Comment 9

5 years ago
If this isn't a problem with Thunderbird, then why is it that I can access Yahoo via Windows Mail with the same POP3 settings but I cannot access it with Thunderbird?

Comment 10

5 years ago
(In reply to George Worley from comment #9)
> If this isn't a problem with Thunderbird, then why is it that I can access
> Yahoo via Windows Mail with the same POP3 settings but I cannot access it
> with Thunderbird?

Good question.  Was Windows Mail set to delete from the server immediately?  If not, have a look in the Yahoo web interface and see if the problematic message (ie the one following) is still there - it may be in the Junk folder.  It could be that Windows Mail DELEtes the message that can't be retrieved, or skips it and loops over all messages that should have been retrieved to delete them; or maybe if the subsequent message is deleted via POP the POP server no longer has a "slot" for the irretrievable message it disappears from the index.  

Does Thunderbird now work or is it no longer a problem?

I assume this happened recently?  I haven't seen it for a while, and concluded it was down to some antivirus scan on the Yahoo servers removing messages from a Maildir structure.  My experience was that later messages could be RETRieved via POP (or webmail), but Thunderbird just gave up, meaning it could only be resolved by finding some other means of access.

I opened bug 610639 suggesting a possible approach to fixing it, but no-one seems to be working on it yet.  A reproducible case (on a POP server) would be really good.  Do you have one?  Do you have any chance of getting a sensible response from Yahoo?

You might also like to try https://getsatisfaction.com/mozilla_messaging and quote bug 610639.

Comment 11

5 years ago
I'm having this problem too & found this via google. Seems others have had the same issue too. Time to start deleting emails from my yahoo mail account manually (via yahoo website) until I can get it to work.

Comment 12

5 years ago
I've narrowed it down to 1 email that won't download. Have put it in a new folder in my yahoo account so it won't keep trying to be downloaded to Thunderbird.

Comment 13

5 years ago
I've also read others have not had the problem with other pop3 email systems, only with Thunderbird, which causes the error: 

"The RETR command did not succeed. Error retrieving a message. Mail server pop.mail.yahoo.com responded: problem retrieving message.".

This is the full header of the legit email (not spam nor marked as spam by yahoo) and I can open & read it in yahoo. I have replaced part of 2nd line with dashes/hyphens for privacy reasons:


From FacultyLBCA TSV Tue Apr 23 20:19:38 2013
X-Apparently-To: ---------@yahoo.com.au via --.---.--.---; Tue, 23 Apr 2013 20:19:49 -0700
Return-Path: <facultylbca.tsv@jcu.edu.au>
Received-SPF: pass (domain of jcu.edu.au designates 216.32.180.186 as permitted sender)
 c3QgaW4gSkNVLiBVbmZvcnR1bmF0ZWx5LCBvdXIgTUlUIGlzIG5vdCBzZXQg
 dXAgZm9yIGV4dGVybmFsIHN0dWR5LiBJIHdvdWxkIHN1Z2dlc3QgdGhhdCB5
 b3UgaGF2ZSBhIGxvb2sgYXQgQ1FVIG9yIFVTUSBhcyB0aGV5IGFyZSB0aGUg
 bW9zdCBsaWtlbHkgdG8gb2ZmZXIgZXh0ZXJuYWwgcG9zdGdyYWR1YXRlIHN0
 dWRpZXMgaW4gSVQuIFNvcnJ5IHRoYXQgd2UgY2Fubm90IGhlbAEwAQEBAQ--
X-YMailISG: o5lQsqMWLDvIjQHeRpsi13eOmP.g1KPcyF4J9VzM4o8wSSou
 GvPTLJ.1vaos7rSbA4xj.8nhl5Vx6__PT9_dwObGD5K4m3RaW_NW_sElL1II
 t9OZOU6HsxEXfqsExdgSG6ZYAZBwNIAAsqlxeyKW2DvDURSD0WYV0ebUreRU
 kyQKfDxKVr5rmRTXn0oh8Wln7o1e40CXeFYMQ.LmAJvZmfXiIc0tWloenDUI
 5jzM5CtKO6M1t1v8ru0B7nYUAIPcli7siQD4yA6afEWqPLFiz0n0d1DS48zt
 GOQcePhLe7qJPAdXP42qU_6QJRbfVjdU0MC5hMI368DGwVM3aNHPZcdyhe_w
 uvbxRspmK9DDX0cATvqxXUo_TJJVRsfQy7wCh85aDtx3q0tJqKcSRbrrpKQ7
 Ty4dukGdDuK4f1HtJJgEoQCUcal32fENwefmz.XuX93bL.OdbKEtiOjjuyrR
 ITUG6EpLA5bl8XBnqkGqvXx_ySuzdf6UpdNizj64E7OtId82ToGsdF8NtHuY
 Ws6IKVco2gheqhJXYSsI2mkXDpDXCSgxUQZbIYYOZUpfpu6yCtWqyW.35DK_
 LBTpk1Vig7zmaN03iAfYpbar6BAEKLjeUf3t2C7RcUHPXsW7Ydf1yI5HKWx9
 R7K0tkj8YSTo8hAE8zrR5W_JouQZoY1d4ygQmFUfz.lJ39EOW4CZPS5_6IXi
 3s_rIPAQDnYNDz45s_TX4YGBUyTvzamdcKMdVo5tGmdgzSumN0UqFeTrHRP7
 kVcq14ubeJnBhILdTfQl3aR_pAoamZ.rb6Q_urd7BIuOENBFX35CY04r2y4_
 ABKAaVEh6HxhTQcgfwgEAYNcAeBScShkdQNEyRS0ARPFSvq_JiHY4znbOiRz
 dyoIAaPll7Oan7V.mOS0ZTWt33vnurq_1eoFJKEXoIeJxul5wfwToBnCriqU
 9uk5p6hOulUCOVd8PEDwaO9N3XsWinqHhjswSb102cPBFj9w07aqYaTrsP5U
 cgtYAM_Vr7ZXJIhZoWr7hhJupp.7pFZkviUKeNU6VnXke2G65kgGtnuaJYhS
 rE5W8Gf83N.RzRoi6EGyfQE5S0Nrs6DI34PnqvtbsIhZvNXa8En4
X-Originating-IP: [216.32.180.186]
Authentication-Results: mta1206.mail.bf1.yahoo.com  from=jcu.edu.au; domainkeys=neutral (no sig);  from=jcu.edu.au; dkim=neutral (no sig)
Received: from 127.0.0.1  (EHLO co1outboundpool.messaging.microsoft.com) (216.32.180.186)
  by mta1206.mail.bf1.yahoo.com with SMTP; Tue, 23 Apr 2013 20:19:48 -0700
Received: from mail219-co1-R.bigfish.com (10.243.78.225) by
 CO1EHSOBE013.bigfish.com (10.243.66.76) with Microsoft SMTP Server id
 14.1.225.23; Wed, 24 Apr 2013 03:19:47 +0000
Received: from mail219-co1 (localhost [127.0.0.1])	by
 mail219-co1-R.bigfish.com (Postfix) with ESMTP id 9BF15B800EA	for
 <shell_l_d@yahoo.com.au>; Wed, 24 Apr 2013 03:19:47 +0000 (UTC)
X-Forefront-Antispam-Report: CIP:111.221.116.85;KIP:(null);UIP:(null);IPV:NLI;H:SINPRD0610HT004.apcprd06.prod.outlook.com;RD:none;EFVD:NLI
X-SpamScore: -5
X-BigFish: PS-5(zz9371Ibd9aJ1443I542Izz1f42h1fc6h1ee6h1de0h1d18h1fdah1202h1e76h1d1ah1d2ahzzz2fh2a8h668h839h944hd25hf0ah1220h1288h12a5h12a9h12bdh137ah13b6h1441h1504h1537h153bh15d0h162dh1631h1758h18e1h1946h19b5h19ceh1ad9h1b0ah1d07h1155h)
Received-SPF: pass (mail219-co1: domain of jcu.edu.au designates 111.221.116.85 as permitted sender) client-ip=111.221.116.85; envelope-from=facultylbca.tsv@jcu.edu.au; helo=SINPRD0610HT004.apcprd06.prod.outlook.com ;.outlook.com ;
Received: from mail219-co1 (localhost.localdomain [127.0.0.1]) by mail219-co1
 (MessageSwitch) id 136677358545251_17370; Wed, 24 Apr 2013 03:19:45 +0000
 (UTC)
Received: from CO1EHSMHS017.bigfish.com (unknown [10.243.78.242])	by
 mail219-co1.bigfish.com (Postfix) with ESMTP id 0869E24004F	for
 <shell_l_d@yahoo.com.au>; Wed, 24 Apr 2013 03:19:45 +0000 (UTC)
Received: from SINPRD0610HT004.apcprd06.prod.outlook.com (111.221.116.85) by
 CO1EHSMHS017.bigfish.com (10.243.66.27) with Microsoft SMTP Server (TLS) id
 14.1.225.23; Wed, 24 Apr 2013 03:19:44 +0000
Received: from SINPRD0610MB368.apcprd06.prod.outlook.com ([169.254.3.29]) by
 SINPRD0610HT004.apcprd06.prod.outlook.com ([10.255.19.39]) with mapi id
 14.16.0299.002; Wed, 24 Apr 2013 03:19:38 +0000
From: FacultyLBCA TSV <facultylbca.tsv@jcu.edu.au>
To: Michelle D. <shell_l_d@yahoo.com.au>
Subject: RE: Master of Information Technology Available Externally?
Thread-Topic: Master of Information Technology Available Externally?
Thread-Index: AQHOPwkgURhu92lTtEuvivRtl6ij0ZjktpdA
Date: Wed, 24 Apr 2013 03:19:38 +0000
Message-ID: <9D6284DC3F69DC43A285B50EDB01740D302DFB28@SINPRD0610MB368.apcprd06.prod.outlook.com>
References: <5174AD8D.9030204@yahoo.com.au>
In-Reply-To: <5174AD8D.9030204@yahoo.com.au>
Accept-Language: en-AU, en-US
Content-Language: en-US
X-MS-Has-Attach:
X-MS-TNEF-Correlator:
x-originating-ip: [137.219.78.204]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
Return-Path: facultylbca.tsv@jcu.edu.au
X-OriginatorOrg: jcu.edu.au
Content-Length: 886

Comment 14

5 years ago
Created attachment 741677 [details]
Bad message from Yahoo

This is the headers and body to the message that received the RETR error.

Comment 15

5 years ago
The only account that I have every had this happen to is my Yahoo Account.   I was able to download including the allegedly bad message with Windows Live Mail.  I didn't save the message -- I read this too late but was able to find the message in the trash folder on the server.  Went through about 1200 messages that was saved on the server due to another bug that is over 12 years old: https://bugzilla.mozilla.org/show_bug.cgi?id=89034 -- having to do with Filters on POP3 servers not keeping up with filtered messages being deleted off the server if leave on server is set to on and until deleted from the inbox.   I set all of my clients this way. So that I have access to most of the email from 3 different computers.

Comment 16

5 years ago
2nd day in a row, another email that Thunderbird can't handle/download ... funnily enough it is an email from bugzilla ... header is as follows:




From bugzilla-daemon@mozilla.org Wed Apr 24 22:58:12 2013
X-Apparently-To: ---------@yahoo.com.au via --.---.--.---; Thu, 25 Apr 2013 05:58:16 +0000
Return-Path: <bugzilla-daemon@mozilla.org>
Received-SPF: none (domain of mozilla.org does not designate permitted sender hosts)
 IGNvbW1lbnRzIHRvIHRoaXMgYnVnIGF0IGh0dHBzOi8vYnVnemlsbGEubW96
 aWxsYS5vcmcvc2hvd19idWcuY2dpP2lkPTU2NTE3MSAtLS0gQ29tbWVudCAj
 MTQgZnJvbSBHZW9yZ2UgV29ybGV5IDxnd29ybGV5QHBpYy5keW5kbnMub3Jn
 PiAyMDEzLTA0LTI0IDIyOjU4OjEyIFBEVCAtLS0gQ3JlYXRlZCBhdHRhY2ht
 ZW50IDc0MTY3NyAtLT4gaHR0cHM6Ly9idWd6aWxsYS5tb3ppbAEwAQEBAQ--
X-YMailISG: FkvMX6EWLDsVLknp7CbGiDaJ5Tb5lTxzxt1Hj0pmhd8OTCUU
 RVJIGquT6f4fcei9yPH0ujLlzNlgUAJ0amg.fwuxY05PZ4fkZSsryKVdytmY
 CKSIYXCkwFTzKkxkCEoHfSzZgQm8buwh1iSPbHv7h0t4mYJfoo83Rq.up0ps
 yGiC8nwHP7UUpTGf7ewANfpZX4.973UVzl6jmF9G.1aVLJ0auauDDSIp3foZ
 9lLcS4lNqxVD.kOfCqMNNKW.CN.6It_GGvv_lkzzV2tRaNxH0KL1Hwv2kzDh
 7bPdRYyWZILMpS2hL6yOYFr_UbMBdofk7TS89SWw7oRqkDbqxx_qL36GUakT
 xW_WtyyHKlSe.vFrrHQKc.HKZelmVXlVvf_Y9kvIa4huopyBXihgR_dsZk82
 MfR7OoW54penjaFCFgc7_RtfiSNIJDDqBR2KyJmnA2mKJz.R.w77YfwwZ1dZ
 hVWUdpjD1AHVkUtY48IefkvW8pFgdTeo558CX3wfPSlIuVF10VRBUarQMo8P
 liOywPG6dnpOx0p.4Mc8kHmoRgTkak6UrL5W9RT0.revEeuWR3QzioXHtkBM
 IXrUT_lblmJqYFHgHB4oNRNOuuCap1CQ15hTkymRzUceT2jt5axpZl4vEeHY
 wYMnHJIDOa6cISGrabNE63.VV8IjQHNYrbpO9yGvg2ZXgkk2yN3Tr6j4rq4x
 spFd7WsVidUXFofPQQ0LX_S3qDr4IfyfGRVrcRrbsrt5qObM09OCx26fViR7
 6hBEQ8AOFPalHzrZ.s0r9g8HN8QKb9fGulQP885EnU1uJo3jvJ85EzKdVGOW
 FrgTpFk_Ortqm2xkRHo4Yv2Lpkja7lL0amIk1iHuE5fF1yLokguoE_xTzSRS
 Lei77oIWbRb_BJnh_4eKgC8guAW5RlB8XG8ncqqfgviUSfvmVDziVwwfSjN9
 I..SZ1WrnylYHSLjBAv.qaED8u_nQv4ImBT8AUqjHq7XiPWDXOwbO.I.itMg
 V2.hfF_304oHcdLna6BQt0p46QjOEXR6PU5EAenoD0PCiByGPfZq8Chp3BID
 g0ULRwBt0JAoeRdmNA.GGraM7O7lZZvHeLjvz9_c5eCfP_C3m6PtECP_jdY0
 zZaq954ariiAssl9hNkPwJY2aFUdCI2QZy_B78N.gHhJifwDGXHT8Tb12Gqr
 6p4cLadNW_t8JMdvkuyke7QUdSZ4vvn71TH0zOfmIicgHSNo5MkvUMMDn5Lq
 AZ650EQiRsZGmb5.kaMiouETlDMpFP7eZRHc.J7iqCELyqjlyH1nrFXE4axi
 2OnG3bIotqNiZ9HNWviAuGRybE8r2H06wSMQNqTDj3gSzJjleODYXQSda_sV
 nkQGt6wsEmU8yZLS1oObStS_AbvEPuTmDKk-
X-Originating-IP: [63.245.216.69]
Authentication-Results: mta1495.mail.ne1.yahoo.com  from=mozilla.org; domainkeys=neutral (no sig);  from=mozilla.org; dkim=neutral (no sig)
Received: from 127.0.0.1  (EHLO smtp.mozilla.org) (63.245.216.69)
  by mta1495.mail.ne1.yahoo.com with SMTP; Thu, 25 Apr 2013 05:58:16 +0000
X-Virus-Scanned: amavisd-new at mozilla.org
Received: from jobqueue2.bugs.scl3.mozilla.com (nat-bugs.scl3.mozilla.com [63.245.214.161])
	by mx1.mail.corp.phx1.mozilla.com (Postfix) with ESMTP id 3B186F2519
	for <shell_l_d@yahoo.com.au>; Wed, 24 Apr 2013 22:58:15 -0700 (PDT)
Received: by jobqueue2.bugs.scl3.mozilla.com (Postfix, from userid 0)
	id 2764A6E149C; Wed, 24 Apr 2013 22:58:15 -0700 (PDT)
From: bugzilla-daemon@mozilla.org
To: shell_l_d@yahoo.com.au
Subject: [Bug 565171] The RETR command did not succeed. Error retrieving a
 message. Mail server plus.pop.mail.yahoo.com responded: problem retrieving
 message.
Date: Thu, 25 Apr 2013 05:58:12 +0000
X-Bugzilla-Reason: CC
X-Bugzilla-Type: changed
X-Bugzilla-Watch-Reason: None
X-Bugzilla-Classification: Client Software
X-Bugzilla-ID: 565171
X-Bugzilla-Product: Thunderbird
X-Bugzilla-Component: Mail Window Front End
X-Bugzilla-Version: unspecified
X-Bugzilla-Keywords: 
X-Bugzilla-Severity: major
X-Bugzilla-Who: gworley@pic.dyndns.org
X-Bugzilla-Status: RESOLVED
X-Bugzilla-Resolution: INVALID
X-Bugzilla-Priority: --
X-Bugzilla-Assigned-To: nobody@mozilla.org
X-Bugzilla-Target-Milestone: ---
X-Bugzilla-Flags: 
X-Bugzilla-OS: Windows XP
X-Bugzilla-Changed-Fields: Attachment Created
X-Bugzilla-Changed-Field-Names: attachment.created
Message-ID: <bug-565171-447901-UKrWY8jE53@https.bugzilla.mozilla.org/>
In-Reply-To: <bug-565171-447901@https.bugzilla.mozilla.org/>
References: <bug-565171-447901@https.bugzilla.mozilla.org/>
X-Generated-By:
 web2.bugs.scl3.mozilla.com/jobqueue2.bugs.scl3.mozilla.com(22508)
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: 7bit
X-Bugzilla-URL: https://bugzilla.mozilla.org/
Auto-Submitted: auto-generated
MIME-Version: 1.0
Content-Length: 658

Comment 17

5 years ago
I have been experiencing this error on a frequent basis the past 8 months on several computers running Thunderbird POP3 clients.  The email is served up by an Mdaemon mail server application that also has a webmail portal available.  Everytime that this error comes up, the Thunderbird client will not download messages - no matter what you do, you will only get the RETR command did not succeed......  When we look into the webclient to see the mail, there is always an email message with a very large graphic file attached to it, usually in the 24MB - 50MB range (which is awfully large for email.  If you delete the message with the large attachment, then the Thunderbird client can continue downloading messages (without the RETR error message).  Does anyone have a solution or explanation for this?  Does Thunderbird have a message size limit that is not adjustable?  Did this only become a problem with update versions starting in the fall of 2012?

Comment 18

5 years ago
I don't know about Mdaemon POP3 as I have never experience the issue on Mdaemon POP3 nor any other server except for Yahoo.   I have looked at the headers and they seem to be corrupt.   When I launch Windows Mail, I am able to receive even the "bad" messages.   

I was having this issue with Yahoo until I switch from using POP3 to IMAP4.    It seems that some messages in Yahoo Mail doesn't have proper headers.  The messages were always viewable in Yahoo Web Mail.  Since I switch from POP3 to IMAP4 I haven't had the problem.   Yahoo IMAP4 settings:

server:  imap.mail.yahoo.com
port:  993
Security Settings:
SSL/TTS
Normal Password

It seems like Thunderbird doesn't know how to handle messages that have bad headers using POP3.   I am not sure who is to blame here... I guess both Yahoo and Thunderbird is... Yahoo for allowing messages with bad headers or possible a bug in the implementation of SMTP that writes messages with bad headers (not necessarily received with bad headers just written with bad headers once they were received).   And, Thunderbird for not knowing how to go to the next message.

I am not sure if you are signing into the Pro Version of Mdaemon (which has IMAP4 available) so if you are try signing in using IMAP4.  Since I have done this on my Yahoo Mail, I haven't had the problem.  The issue might arise from messages originating from Yahoo -- esp. Yahoo Groups.

On Yahoo, I have had both small and large messages but all of them seem to have one thing in common -- attachments and originate from Yahoo Groups.  See if your messages originate from Yahoo Groups.

The issue has been around since at least 2010. I have sent and received large messages from other sources without an issue.

Comment 19

4 years ago
Has any progress been made on this bug? It is absolutely maddening. I've been using Thunderbird for 6 years now, and it pops up about every two years. In the past I have been able to determine the guilty email and get my account back to normal (after 10+ hours of fiddling). This time I can't seem to clear it out. I gave up about a month ago and have been using Webmail, but I really want to go back to Thunderbird (the alternatives stink compared to Thunderbird). I've tried re-installing TB on other computers and it makes no difference. I'm stuck. I can not download my email.

If somebody can fix this it would be great. I do not have this problem on Windows mail. Thanks in advance for fixing this annoying bug. I'm sure lots of people have this but don't take the time to report it, and just give up. Thanks, g-

Comment 20

4 years ago
(In reply to g_e_young from comment #19)
> Has any progress been made on this bug? It is absolutely maddening. I've
> been using Thunderbird for 6 years now, and it pops up about every two
> years. In the past I have been able to determine the guilty email and get my
> account back to normal (after 10+ hours of fiddling). This time I can't seem
> to clear it out. I gave up about a month ago and have been using Webmail,
> but I really want to go back to Thunderbird (the alternatives stink compared
> to Thunderbird). I've tried re-installing TB on other computers and it makes
> no difference. I'm stuck. I can not download my email.
> 
> If somebody can fix this it would be great. I do not have this problem on
> Windows mail. Thanks in advance for fixing this annoying bug. I'm sure lots
> of people have this but don't take the time to report it, and just give up.
> Thanks, g-

You might want to switch from using POP3 to IMAP4 on TB and I haven't had any problems receiving email from Yahoo since I switched to IMAP4.  When I switched, I coped everything that was in my folders to my local folders.   Once I deleted the POP3 Yahoo account and created the IMAP4 account I created the folder structure that I had in the POP3 account.

The settings for IMAP4 is in one of the above messages.

George

Comment 21

4 years ago
I didn't know Yahoo could do IMAP4. I will try it, but regardless, I sure wish they would fix this problem. Thanks, g-

Comment 22

4 years ago
It seems that the issue is a Yahoo Group thing.   Even on none-Yahoo servers it is Yahoo Group originated messages that sometimes gives the error.   I have looked at the messages that have given the error and the headers do not appear to be correct for POP3 servers to handle.   The only thing that I think that TB should do is the ability to skip the bad message(s) i.e. if RETR happens skip the message and try downloading the next message (I think that is what Windows Live Mail is doing because it will not give the error) but it seems that TB developers seem to not want to work-around the issue for whatever reason -- I do understand the want to stick to strict standards however there also needs to be a happy medium between those standards and making the end users happy.  IMHO, I should not have to go to the Web Client for Yahoo just so I can download email to my TB client.

Yahoo's support of IMAP4 is a fairly recent occurrence.   It started only is support for IMAP4 on mobile clients but has been expanded in the recent months to include all clients.   Official Yahoo page on IMAP4 support:

http://help.yahoo.com/kb/index?page=content&id=SLN4075&actp=search&viewlocale=en_US&searchid=1374038610276&locale=en_US&y=PROD_MAIL_ML

George
(In reply to George Worley from comment #22)
> but it seems that TB developers seem to not want to work-around the issue
> for whatever reason -- I do understand the want to stick to strict standards
> however there also needs to be a happy medium between those standards and
> making the end users happy.  IMHO, I should not have to go to the Web Client
> for Yahoo just so I can download email to my TB client.

I'm not sure who you think Thunderbird developers are, but from what I've seen, there isn't any sort of consensus one way or the other on this issue.  Most of the volunteers (and basically all of the Thunderbird developers are volunteers) just don't really care about it.

If you have a strong opinion on the issue (and it sounds like you do), then I strongly suggest you post a patch to make Thunderbird work the way you want!  I would be more than happy to help you get started, and would do what I can to expedite your review requests.

Thanks,
Blake.

Comment 24

4 years ago
(In reply to Blake Winton (:bwinton) from comment #23)
> (In reply to George Worley from comment #22)
> > but it seems that TB developers seem to not want to work-around the issue
> > for whatever reason -- I do understand the want to stick to strict standards
> > however there also needs to be a happy medium between those standards and
> > making the end users happy.  IMHO, I should not have to go to the Web Client
> > for Yahoo just so I can download email to my TB client.
> 
> I'm not sure who you think Thunderbird developers are, but from what I've
> seen, there isn't any sort of consensus one way or the other on this issue. 
> Most of the volunteers (and basically all of the Thunderbird developers are
> volunteers) just don't really care about it.
> 
> If you have a strong opinion on the issue (and it sounds like you do), then
> I strongly suggest you post a patch to make Thunderbird work the way you
> want!  I would be more than happy to help you get started, and would do what
> I can to expedite your review requests.
> 
> Thanks,
> Blake.

From snooping around the Web a bit, I think this problem is pretty pervasive for Yahoo/Thunderbird users. I hope it gets fixed as I like Thunderbird and want them to be successful.

Comment 25

4 years ago
(In reply to Blake Winton (:bwinton) from comment #23)
> (In reply to George Worley from comment #22)
> > but it seems that TB developers seem to not want to work-around the issue
> > for whatever reason -- I do understand the want to stick to strict standards
> > however there also needs to be a happy medium between those standards and
> > making the end users happy.  IMHO, I should not have to go to the Web Client
> > for Yahoo just so I can download email to my TB client.
> 
> I'm not sure who you think Thunderbird developers are, but from what I've
> seen, there isn't any sort of consensus one way or the other on this issue. 
> Most of the volunteers (and basically all of the Thunderbird developers are
> volunteers) just don't really care about it.
> 
> If you have a strong opinion on the issue (and it sounds like you do), then
> I strongly suggest you post a patch to make Thunderbird work the way you
> want!  I would be more than happy to help you get started, and would do what
> I can to expedite your review requests.

Blake,

Yes I know that the developers are volunteers. I would not know where to begin and my C++ is a little rusty -- learn it 15 years ago and haven't used it.  Yes I would like to see this issue fixed and would like to help fix it.

George

Comment 26

4 years ago
A reminder that there is a suggested approach to fixing this at bug 610639.  In short the POP handling routines should not bail out when there is an error affecting only one message.

The first stage is maintaining a POP mailbox where the problem is reproducible; are there simple instructions for Mdaemon or some other server?  I've tried adding both header examples above to a Dovecot mailbox and they download the "RETR command" error does not appear on TB17 (although the spam doesn't show up).  As soon as you remove the failing message from the mailbox, the problem becomes less urgent...
Status: RESOLVED → REOPENED
Ever confirmed: true
Resolution: INVALID → ---

Comment 27

4 years ago
I can confirm that this is still a very annoying problem. I hope someone fixes it. 

Every second or third time we receive email from Frontier (handled by Yahoo) the RETR error occurs, usually with the first or second email. That stops further email downloads until Thunderbird is restarted. Usually after one RETR error the other messages download perfectly, but sometimes almost every message produces a RETR error. This problem has been going on for a long time, and it is not fixed in Thunderbird 24.0.1.

Saying "This is a server error" does not help. Outlook users don't experience this error, so Yahoo isn't going to fix it.

Comment 28

4 years ago
This is not specific to Yahoo. I have had the same issue when trying to retrieve my company email that is using Horde in the backend.
I am able to retrieve the message from outlook and windows live mail and everybody is telling me to use these email clients. As long as the emails are able to be retrieved from other email clients, the admin will not take action.
This is the full header of the email that I could not download to TB.
IPs and domains are faked for privacy reasons.

Return-Path: <t.d@broadnet.com>
Delivered-To: issa@1796603.3370632
Received: (qmail 30458 invoked by uid 0); 21 Nov 2013 15:30:31 -0000
Received: from unknown (HELO atl4mhib56.myregisteredsite.com) (209)
  by 0 with SMTP; 21 Nov 2013 15:30:31 -0000
Received: from vmx3.broadnet.com (vmx3.broadnet.com [66.198.167.201])
	by atl4mhib56.myregisteredsite.com (8.14.4/8.14.4) with ESMTP id rALFUTlj003499
	for <issa@reninc.com>; Thu, 21 Nov 2013 10:30:29 -0500
X-IronPort-AV: E=Sophos;i="4.93,745,1378872000"; 
   d="scan'201,217";a="24444444"
Received: from unknown (HELO wv1-cas-02.csnl.co.in) ([66.86.157.131])
  by mx3-2.broadnet.com with ESMTP; 21 Nov 2013 10:30:28 -0500
Received: from uswv1vcas03.csnl.co.in (66.86.157.183) by wv1-cas-02.csnl.co.in
 (66.86.157.131) with Microsoft SMTP Server (TLS) id 8.3.213.0; Thu, 21 Nov
 2013 10:30:28 -0500
Received: from USWV1VDAG02.csnl.co.in ([fe80::7c6a:fd71:7022:40b6]) by
 uswv1vcas03.csnl.co.in ([fe80::3911:1b21:3511:593b%13]) with mapi id
 14.02.0342.003; Thu, 21 Nov 2013 10:30:28 -0500
From: Tom D <t.d@broadnet.com>
To: Sam B <s.b@broadnet.com>

Subject: RIM - demo accounts
Thread-Topic: RIM - demo accounts
Thread-Index: Ac7mzpMTk30sd2GRT+uR5VmDX2H1YQ==
Date: Thu, 21 Nov 2013 15:30:28 +0000
Message-ID: <375804EE2F797340968BD099BCBC7EB47111AABF@uswv1vdag02.csnl.co.in>
Accept-Language: en-GB, en-US
Content-Language: en-US
X-MS-Has-Attach:
X-MS-TNEF-Correlator:
x-originating-ip: [66.86.157.8]
Content-Type: multipart/alternative;
	boundary="_000_375804EE2F797340968BD099BCBC7EB47111AABFuswv1vdag02csnl_"
MIME-Version: 1.0
X-SpamScore: 1.3
X-MailHub-Apparently-To: issa@reninc.com

--_000_375804EE2F797340968BD099BCBC7EB47111AABFuswv1vdag02csnl_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

Hi Sam. Did you find the reports?

Comment 29

4 years ago
The sender had sent a couple of tables from his outlook client.

Comment 30

4 years ago
I just joined this group. 

I use the Eudora OSE with the Time Warner Roadrunner Email and am getting the "The RETR command did not succeed", but only in my account, not my wife's.

Is there a solution which solves this problem?

Comment 31

3 years ago
This thread helped a lot, not so much from all the header detail, but this worked for me on ATT/Yahoo mail:

Log into web mail, create a "Holding" folder (or whatever you want to call it), and start moving mail into this alternate folder. The mail server only downloads email in the Inbox. If you have a lot of mail backed up, checking the "all messages" checkmark will select around 50 msgs at a time, which you can transfer to the "Holding" folder. Then issue the get mail on Eudora. If the RETR alert comes back, then move 50 more messages and try again. Once the offending message is out of the Inbox, Eudora will download whatever is there. Then you can start moving messages back into the Inbox. I was able in a few minutes to download all messages except one, which I read on webmail from the Holding folder and then deleted. It had an embedded blog page by the way.

Comment 32

3 years ago
This "bug" is not simply a Windows problem as stated in the description.  I have encountered the problem multiple times under Ubuntu.  Simply deleting old messages until the problem goes-away is not an option because it is not clear which e-mail is the problem and I would like to save most messages.  Anyway, logging onto yahoo.com and deleting messages is a time consuming, unacceptable workaround.  

Apparently this issue has been around for a long time.  Please, someone actually fix the problem this time.  This problem is so annoying that many users may be dropping Thunderbird for other programs that handle this issue correctly.  I have thought of doing so.  Developers who care about Thunderbird should care about such issues because these types of problems reduce the user base.  (I would help if my job wasn't so demanding at this time.  I am thankful for the people who can help. Keep up the good work!)

Thunderbird should fail on the single bad message and then move on to the next message rather than completely failing.  Also, it would be nice if Thubderbird would tell the user which messages are bad and provide any additional details that might be helpful.  Thank you very much.

Comment 33

3 years ago
I've been getting this error on my Thunderbird POP client for my organization a/c which uses Microsoft Outlook 360 servers () for atleast the past 3+yrs...

"The RETR command did not succeed. Error retrieving a message. Mail server outlook.office365.com responded: Message corrupted"

This error has made Thunderbird utterly USELESS to me. I've been tracking this issue to get fixed all these 3+yrs and its the MOST ANNOYING stuff. PLEASE FIX THIS ISSUE RIGHT AWAY.

I've moved onto use Outlook client itself, but I've still love to come back to TB. PLS FIX THIS ISSUE RIGHT AWAY. CANT YOU UNDERSTAND???? TB IS JUST PLAIN UNUSABLE JUST BECAUSE OF THIS ISSUE!?!
Comment hidden (spam)

Updated

2 years ago
Component: Mail Window Front End → Networking: POP
Product: Thunderbird → MailNews Core
Summary: The RETR command did not succeed. Error retrieving a message. Mail server plus.pop.mail.yahoo.com responded: problem retrieving message. → corrupt mailbox/message on the pop3 server results in "The RETR command did not succeed. Error retrieving a message. Mail server plus.pop.mail.yahoo.com responded: problem retrieving message."

Comment 35

a year ago
(In reply to VLA from comment #33)

This error message also hit me for the first time: "The RETR command did not succeed. Error retrieving a message." Here is HOW I solved the problem. But I don't know WHY?

Symptom: My Thunderbird on Windows 10 could not download emails from Yahoo/ATT email server. The Status Bar first showed 1/10 and then display the error message. All download failed for these new emails in the Inbox on the server. So, I tried to hunt down the offending "1" email.

HOW to fix:

(1) In Thunderbird, enter into the email account and open "Server Setting". Then, uncheck "Until I delete them" under "Leave messages on server".

(2) Move ALL emails in the Inbox to a designated folder (e.g. "Temp-1").

(3) Move a group of emails (e.g. by one month at a time). Then go to Thunderbird and click on "Inbox" and click "Get Messages".

(4) Download of that group should proceed. If download of this group is successful, repeat step (3) for the next group.

(5) If the download of the next group gives the "The RETR command did not succeed...", move that failed group of emails back to "Temp-1" folder, and do refined identification below.

(6) Start to move one email at a time to Inbox, then go to Thunderbird and click "Get Messages". Repeat step (6) until the offending email fails to download and give that "The RETR command did not succeed..."

(7) Delete or save it somewhere else.

(8) Move all remaining emails in "temp-1" back to Inbox; and go to Thunderbird to click on "Get Messages". Everything should download now.

(9) You will get a lot of duplicated emails with unread status. Delete them! Because you previously set Step (1) to NOT deleting these emails on the Yahoo/ATT server, these emails are intact. (Or they will be deleted and moved to the "Trash" folder. You can move them back to Inbox, but they will be download again.)

In my case, the offending email went back the very first email when I created my Yahoo/ATT account in 2004. It never caused this problem in the last 12 years. Anyway, the problem is solved, but I don't know why.

Comment 36

a year ago
I have the exact same problem

So I emptied my web inbox completely,  but I get the exact same retr error , no difference what so ever 
I think Thunderbird handles this very badly , bad emails should just be left on server and not downloaded to thunderbird  i had the same problem before, but this time it do not help to empty the web inbox

Solution please

Comment 37

11 months ago
I dont believe this. I am having this problem myself now that I want to grab a copy of all my emails from Yahoo, and I see it has been 7 years since the bug first appeared and without any solution to this yet? 

Are there no maintainers of the software with a plugin fix?
You need to log in before you can comment on or make changes to this bug.